Issue 10757

Title
Amount to pay of invoice when using amount_payment_clearing is wrong when the paid line is unreconciled
Priority
bug
Status
resolved
Nosy list
ced, nicoe, reviewbot, roundup-bot
Assigned to
nicoe
Keywords
review

Created on 2021-09-16.17:50:44 by nicoe, last changed 1 month ago by roundup-bot.

Messages

New changeset 0c0d9678c0d8 by Cédric Krier in branch 'default':
Apply review comments
https://hg.tryton.org/tryton-env/rev/0c0d9678c0d8
New changeset 224caeb8607e by Cédric Krier in branch 'default':
Do not fail on missing clearing line
https://hg.tryton.org/modules/account_payment_clearing/rev/224caeb8607e

New changeset f916ea6c1162 by Cédric Krier in branch 'default':
Use standard name for scenario
https://hg.tryton.org/modules/account_payment_clearing/rev/f916ea6c1162
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-11-28.20:55:58

I do not understand why this has been committed without fixing the last comments?

New changeset 5eeef4e75a56 by Nicolas Évrard in branch 'default':
Add the payment amount to invoice's amount_to_pay when the payment line is unreconciled
https://hg.tryton.org/tryton-env/rev/5eeef4e75a56
New changeset bfbbedb37abd by Nicolas Évrard in branch 'default':
Add the payment amount to invoice's amount_to_pay when the payment line is unreconciled
https://hg.tryton.org/modules/account_payment_clearing/rev/bfbbedb37abd
New changeset 7bf36298ce19 by Nicolas Évrard in branch 'default':
Add the payment amount to invoice's amount_to_pay when the payment line is unreconciled
https://hg.tryton.org/modules/account_payment/rev/7bf36298ce19
Author: [hidden] (nicoe) Tryton committer
Date: 2021-09-16.17:50:44

When using account_payment_clearing, the amount to pay of an invoice can be wrongly computed in the following scenario:

  • Create an invoice
  • Pay it using a payment with a journal doing a clearing move
  • Unreconcile the paid line
  • Reconcile the line with another invoice

In this case the amount to pay should take into account the payment amount which is not the case currently.

History
Date User Action Args
2022-01-21 10:57:19cedlinkissue7081 superseder
2021-11-29 21:30:02roundup-botsetmessages: + msg71918
2021-11-29 21:29:34roundup-botsetmessages: + msg71917
status: chatting -> resolved
2021-11-28 20:55:58cedsetmessages: + msg71910
nosy: + ced
status: resolved -> chatting
2021-11-28 18:56:41roundup-botsetmessages: + msg71909
2021-11-28 18:56:32roundup-botsetmessages: + msg71908
2021-11-28 18:56:28roundup-botsetmessages: + msg71907
nosy: + roundup-bot
status: in-progress -> resolved
2021-10-21 11:07:10reviewbotsetmessages: + msg71182
2021-10-21 10:39:42reviewbotsetmessages: + msg71179
2021-10-18 14:32:33reviewbotsetmessages: + msg71081

Showing 10 items. Show all history (warning: this could be VERY long)